<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  $vg_empresa=1;
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="parametros";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);
/*
if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_Terceros';";
echo "</script>";
}
*/
include "../parametros.php";
include "../conexion.php";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html><head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/responsive.bootstrap4.min.css">
   <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
</head>
<BODY>
<?php
$color="";$vl_fecini=date("Y-m-d");$vl_fecfin=date("Y-m-d");$estado="";

$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado where tipo='contabilidad' order by nombre asc");
$rs_tipodocumento=mysqli_query($conexion,"SELECT id,nombre,numero FROM par_tipodocumentos where id=22 order by nombre asc");
if(isset($_REQUEST["oculto"]))
{
 $vl_fecini=$_REQUEST['fecini'];
 $vl_fecfin=$_REQUEST['fecfin'];
 $estado=$_REQUEST['estado'];
 $tipodocumento=$_REQUEST['tipodocumento'];
}
?>
<form name="frmempresa" method="post" action="">
 
  <div align="center">
   
   <table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="10%">Inicio </td>
        <td width="20%">
          <input name="fecini" type="date"  id="fecini"
                 autocomplete="off" value="<?php echo $vl_fecini; ?>" 
				class="form-control" style="width: 200px"
				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"			 >
        </td>
        <td width="10%">Fin</td>
        <td width="20%">
          <input name="fecfin" type="date"  id="fecfin"
                             autocomplete="off"   value="<?php echo $vl_fecfin; ?>" 
				class="form-control" style="width: 200px"
				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"			 >
        </td>
	    <td width="10%">Estado</td>
	    <td width="20%"><select name="estado"  id="estado"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
	      <option value="0"> </option>
	      <?php while ($rowba=mysqli_fetch_array($rs_estado))
									{
									 if ($estado==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
        </select></td>
	    <td width="10%"><input name="buscar" type="submit" class="btn btn-primary"  id="buscar"  value="Buscar" onClick="obusca.value=1;"  ></td>
      </tr>
      <tr>
        <td>Tipo Documento</td>
        <td colspan="2"><select name="tipodocumento"  id="tipodocumento"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 80%" >
                         <option value="0"> </option>  
              <?php while ($rowba=mysqli_fetch_array($rs_tipodocumento))
									{
									    	$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_documentos where prefijo='".$rowba['nombre']."'");
    			                            while($datoses= mysqli_fetch_row($rs_sql)){ $ncoddoc=$datoses[0];}
    			
									 if ($tipodocumento==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."-".$rowba['numero']." - $ncoddoc</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."-".$rowba['numero']." - $ncoddoc</option>";}		
									}
							 ?>
            </select></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
    
<center>
        <table id="example1" class="table table-bordered table-striped" style="font-size:12px; width:100%" cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>
                        <thead>
                            <tr class="btn-primary">
                                <th width='10%'></th>
                                <th width='10%'>TIPODOCUMENTO</th>
                                <th width='10%'>ESTADO</th>
                                <th width='10%'>DOCUMENTO</th>
                                <th width='10%'>TERCERO</th>
                                <th width='10%'>UBICACION</th>
                                <th width='10%'>CREO</th>
                                <th width='20%'>No FACTURA</th>
                                <th width='20%'>Vr.NETO</th>
                                <th width='20%'>FECHA FACTURA</th>
                                <th width='10%'>VENCIMIENTO</th>
                                <th width='10%'>LOCACION</th>
                                <th width='20%'>AREA</th>
                                <th width='10%'>ANTICIPO</th>
                                <th width='10%'>OBSERVACIONES</th>
                            </tr>
                        </thead>
                        <tbody>
<?php
if($_REQUEST["obusca"]==1)
{
     if($vl_fecini<>"" && $vl_fecfin<>"")    
     {
             if($vl_fecini<>"" && $vl_fecfin<>"") {$sqlfecha=" and fechafactura between '".$vl_fecini."' and '".$vl_fecfin."'";} else {$sqlfecha="";}
             if($estado>0) {$sqlestado=" and estado='".$estado."'";} else {$sqlestado="";}
			 if($tipodocumento<>'0') {$sqltd=" and tipodocumento='".$tipodocumento."'";} else {$sqltd="";}
     
        $sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
										estado, anticipo, municipio, observaciones, id,vencimiento,observacionestado,coddoc,neto
										FROM documento
										where empresa='".$vg_empresa."'
										$sqlfecha
										$sqlestado
										$sqltd");
			while($datos= mysqli_fetch_row($sql_datos))
			{ 
				$tipodocumento=$datos[0]; 						
				$consecutivo=$datos[1]; 	
				$proveedor=$datos[2]; 	
				$usurio_doc=$datos[3]; 	
				$factura=$datos[4]; 	
				$fechafactura=$datos[5]; 	
				$locacion=$datos[6]; 	
				$area=$datos[7]; 	
				$estado=$datos[8]; 	
				$anticipo=$datos[9]; 	
				$municipio=$datos[10]; 	
				$observaciones=$datos[11]; 							
				$rsid=$datos[12]; 	
				$vencimiento=$datos[13]; 							
				$observacionestado=$datos[14];
				$coddoc=$datos[15];
				$vrneto=$datos[16];
                $ncoddoc="";
    			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_documentos where prefijo='".$coddoc."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $ncoddoc=$datoses[0];}
    			
    			$rs_sql=mysqli_query($conexion,"SELECT nombre,numero FROM par_tipodocumentos where id='".$tipodocumento."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $Ntipodocumento=$datoses[0]."-".$datoses[1];}
    			
    			$rs_sql=mysqli_query($conexion,"SELECT nombre from tercero where id='".$proveedor."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $nproveedor=$datoses[0];}
    
    			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_locacion where id='".$locacion."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $nlocacion=$datoses[0];}
    
    			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_area where id='".$area."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $narea=$datoses[0];}
    
    			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM estado where id='".$estado."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $nestado=$datoses[0];}
    			
    			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM departamento where id='".$departamento."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $ndepartamento=$datoses[0];}
    
    			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM municipio where codigo='".$municipio."'");
    			while($datoses= mysqli_fetch_row($rs_sql)){ $nmunicipio=$datoses[0];}
                
                $carpeta='';
                if($coddoc=='fe' || $coddoc=='ncfe' || $coddoc=='ndfe'){$carpeta='../facturacion/';}
                if($coddoc=='cm' || $coddoc=='leg'){$carpeta='../reembolso/';}
                 if($coddoc=='rc' || $coddoc=='eg'){$carpeta='../tesoreria/';}
                
    		   echo " <tr onClick='window.opener.frmempresa.id.value=$rsid;window.opener.frmempresa.obuscar.value=1;window.opener.frmempresa.submit();'>";
    			 echo "<td align='center'>".$rsid."<br>";
    			        ?>
            			 <img src="../imagenes/imprimir.png" width="30px" height="30px" onclick="javascript:window.open('<?php echo $carpeta;?>documento_imprime.php?documento=<?php echo $rsid; ?>&td=<?php echo $coddoc; ?>','impdoc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');"  />
            			 <?php
    			 
    			 echo "</td>";	
    			 echo "<td>".$ncoddoc."</td>";
    			 echo "<td>".$nestado."
    			            <font color='#ad0000'>$observacionestado</font></td>";
    			 echo "<td>".$Ntipodocumento."-$consecutivo</td>";
    			 echo "<td>".$nproveedor."</td>";
    			 echo "<td>".$nmunicipio."</td>";
    			 echo "<td>".$usurio_doc."</td>";
    			 echo "<td>".$factura."</td>";
    			 echo "<td>".number_format($vrneto)."</td>";
    			 echo "<td>".$fechafactura."</td>";
    			 echo "<td>".$vencimiento."</td>";
    			 echo "<td>".$nlocacion."</td>";
    			 echo "<td>".$narea."</td>";
    			 echo "<td>".number_format($anticipo)."</td>";
    			 echo "<td>".$observaciones."</td>";
    		  echo "</tr>";
    	 }
    }
    else
    {
    	$mensaje="Digite las fechas para buscar";
    			?>				  
    			<script>
    			cuteToast({
    				  type: "error", // or 'info', 'error', 'warning'
    				  message: "<?php echo $mensaje; ?>",
    				  timer: 4000
    				})
    			</script>
    		   <?php
    }
}

?>
</tbody></table></center> 
	
    <input name="oculto" type="hidden" id="oculto">
    <input name="obusca" type="hidden" id="obusca">
</div>


<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'desc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>

</form>
</body>
</html>